%% rest fast and slow brain maps

load('data/template_data_power_templates.mat', 'template_data');
task_names_run = {'rest',   'WM',    'lang',  'motor', 'social', 'gambling', 'relational', 'emotion'};


vector = template_data(1).estParams.C(:,08);
        vector = vector/norm(vector);
        nii_name = 'rest_08.nii';
        saveROIVectorToNii(vector, nii_name);
        
vector = template_data(1).estParams.C(:,39);
        vector = vector/norm(vector);
        nii_name = 'rest_39.nii';
        saveROIVectorToNii(vector, nii_name);
        
%% series
time_series_all_org = [];task_name_actual='rest';
   load(sprintf('/core_scripts/data/Sha_pairedProjections_power/Sha_entiretrajs_using_all_%s.mat', task_name_actual), 'trajs_all','-v7.3');
component_index=08; %also for component_index=39;
for i=1:size(trajs_all(1).trajs,2)
    time_series_all_org=[time_series_all_org; trajs_all(1).trajs(i).xsm(component_index, :)];
end


for i=1:size(trajs_all(1).trajs,2)
    hold on;
    plot(trajs_all(1).trajs(i).xsm(component_index, :), 'color', 'k');
end

hold on;
plot(mean(time_series_all_org), 'color', 'y', 'linewidth', 2);

