function mean_correlation = find_mean_correlation(template_mean_trajectories, template_params, trajs_curr)

agg_correlation = 0;
for i=1:length(template_params.gamma)
    trajs = [];
    for j=1:length(trajs_curr)
        trajs = [trajs; trajs_curr(j).xsm(i, :)];
    end
    x_ts = template_mean_trajectories(i, :);
    if size(trajs, 1) == 1
        y_ts = trajs;
    else
        y_ts = mean(trajs);
    end    
    
    correlation_curr = corr(x_ts', y_ts');
    
    agg_correlation = agg_correlation + max(correlation_curr);
    
end

mean_correlation = agg_correlation/length(template_params.gamma);
end
