MCIc_tc=load('MCIc_all.mat');
MCIc_tc=MCIc_tc.allSubjData;
MCIc_spectra=load('MCIc_Spectra.mat');
MCIc_spectra=MCIc_spectra.spectra;
MCIc_PC=load('MCIc_PC.mat');
MCIc_PC=MCIc_PC.A1;
MCIc_AR=load('ARmats.mat');
MCIc_AR=MCIc_AR.A_MCIc;

for i=1:23
    allSubjData(i).subID=i;
    allSubjData(i).time_course=MCIc_tc(i).time_course;
    allSubjData(i).spectrum=MCIc_spectra(i).osci;
    allSubjData(i).PC=MCIc_PC(i).PC;
    A=[];
    for j=1:77
        for k=1:77
            A(j,k)=MCIc_AR(i,j,k);
        end
    end
    allSubjData(i).AR=A;
end
save('MCIc_comb.mat','allSubjData');

MCIs_tc=load('MCIs_all.mat');
MCIs_tc=MCIs_tc.allSubjData;
MCIs_spectra=load('MCIs_Spectra.mat');
MCIs_spectra=MCIs_spectra.spectra;
MCIs_PC=load('MCIs_PC.mat');
MCIs_PC=MCIs_PC.B1;
MCIs_AR=load('ARmats.mat');
MCIs_AR=MCIs_AR.A_MCIs;

for i=1:72
    allSubjData(i).subID=i;
    allSubjData(i).time_course=MCIs_tc(i).time_course;
    allSubjData(i).spectrum=MCIs_spectra(i).osci;
    allSubjData(i).PC=MCIs_PC(i).PC;
    A=[];
    for j=1:77
        for k=1:77
            A(j,k)=MCIs_AR(i,j,k);
        end
    end
    allSubjData(i).AR=A;
end
save('MCIs_comb.mat','allSubjData');
