
clear;
%add location to amri_sig toolbox
Fs=1000/3312.5;


params.Fs = Fs;
params.fpass = [0 Fs/2];
params.tapers = [1 1];
params.pad = -1;

MCIc=load('MCIc_all.mat');
MCIc=MCIc.allSubjData;

for sub=1:23
    

data=MCIc(sub).time_course;% data = time x components

spectra(sub) = amri_sig_fractal(data, Fs,'detrend',1);

end


save('MCIc_Spectra.mat','spectra');

MCIs=load('MCIs_all.mat');
MCIs=MCIs.allSubjData;

for sub=1:72
    

data=MCIs(sub).time_course;% data = time x components

spectra(sub) = amri_sig_fractal(data, Fs,'detrend',1);

end


save('MCIs_Spectra.mat','spectra');



