addpath(genpath('../../../addons/gpfa_v0203'));
addpath(genpath('../../../addons/chronux_2_12'));
%%
clear;
close all;
%%%%%%%%%%%%%% changeable params %%%%%%%%%%%%%%%%%%%%
task_names_run  = {'win',   'loss'};



load('template_data_gambling.mat');
load('Sha_trajs_test_gambling.mat');

for set_size = 1
    confusion_mat = zeros(2, 2);
    for tsk_idx = 1:2
        task_name = task_names_run{tsk_idx};
        disp(task_name);
        trajs = eval(sprintf('trajs_%s', task_name));
        
        for sub_start = 1:set_size:(901-set_size)
            sub_end = sub_start + set_size-1;
           
            trajs_curr = [];
            c = 0;
            for sub = sub_start:sub_end
                c = c+1;
                trajs_curr(c).xsm = trajs(sub).xsm;
                
            end
            
            max_correlation = -inf;
            
            matched_task = 0;
            
            for i = 1:length(template_data)
                
                template_mean_trajectories = template_data(i).mean_trajectories;
                
                mean_correlation = find_mean_correlation(template_mean_trajectories, trajs_curr);
                
                if mean_correlation > max_correlation
                    max_correlation = mean_correlation;
                    matched_task = i;
                end
            end
            %         fprintf('winner : %s\n', task_names_run{matched_task})
            confusion_mat(tsk_idx, matched_task) =  confusion_mat(tsk_idx, matched_task) + 1;
            
        end
        confusion_mat
    end
    
    save(sprintf('Sha_confusion_mat_set_size_%02d.mat', set_size), 'confusion_mat');
end