%basedir= directory corresponding to RFE folder generated from
%balanced_RFE.m

for i=1:25
    disc_n=sprintf('%s/run%d/best_disc.mat',basedir,i);
    remf_n=sprintf('%s/run%d/auc_max_MCIc_LOO-MCIs_LOO_sgd_ridge.mat',basedir,i);
    disc=load(disc_n);
    disc=disc.best_disc_map_average;
    remf=load(remf_n);
    
    remf=remf.top_features_positions;
    [r1,c1]=size(remf);
    top_features=[];
    for j=1:r1
        top_features(j,1)=remf(j,1);
        top_features(j,2)=disc(remf(j,1),1);
    end
    k=sprintf('%s/run%d',basedir,i);
    save(sprintf('%s/top_features.mat',k),'top_features');
    clear disc;
    clear remf;
end

%basedir= directory corresponding to RFE folder generated from
%balanced_RFE.m
Spect_tot=[];
for i=1:25
    topf=sprintf('%s/run%d/top_features.mat',basedir,i);
    topf1=load(topf);
    topf1=topf1.top_features;
    Spect_tot=[Spect_tot; topf1];
    clear topf1;
end

%Spect_tot is written to an excel sheet remaining.xlsx, and is sorted by feature index(small to large);

[str,num,rem]=xlsread('Remaining.xlsx');
[r,c]=size(rem);
rem_avg=zeros(17033,2);
k=2;
d=1;
while(k<=r)
ctr=rem{k,1};
rem_avg(d,1)=ctr;
ct=0;
while(rem{k,1}==ctr)
    rem_avg(d,2)=rem_avg(d,2)+rem{k,2};
    ct=ct+1;
    k=k+1;
end
rem_avg(d,2)=rem_avg(d,2)./25; %Contains list of all retained features across runs, and corresponding beta weights averaged across runs
d=d+1;
end