% to find common optimal dimension across the tasks

% add location to gpfa_v0203 
toolbox;
%basedir='location of base directory'

%%
clear;

xdim_T = 95;
min_xDim_all = [];
f_all = [];
xDim_all = 5:xdim_T;
tsk_idx=1;

    load(sprintf('%s/error_data_cv_MCIsfp_%03d_normalized_mean.mat',basedir, xdim_T));
    f=fit(xDims_no_orth', err_all_no_orth', 'exp2');
   
    [min_err, idx] = min(f(xDim_all));
    
    f_all{tsk_idx} = f;
    min_xDim_all = [min_xDim_all xDim_all(idx)];


dev_err_all = [];

for xDim = xDim_all
    dev_err = 0;
    
    
        f_curr = f_all{tsk_idx};
        err_curr = f_curr(xDim) - f_curr(min_xDim_all(tsk_idx));
        dev_err = dev_err + err_curr;
   
    dev_err_all = [dev_err_all dev_err];
end


[~, opt_xDim_idx] = min(dev_err_all);

opt_xDim = xDim_all(opt_xDim_idx);
fprintf('Optimal Dimension : %d\n',opt_xDim);
