%% plot avg subtask accuracy

addpath(genpath('../../../addons/gpfa_v0203'));
addpath(genpath('../../../addons/chronux_2_12'));
%%
clear;
close all;
display_name_cells={'WM',    'lang',  'motor', 'social', 'gambling', 'relational', 'emotion'};
%%%%%%%%%%%%%% changeable params %%%%%%%%%%%%%%%%%%%%

% make_it_tight = true;
% subplot = @(m,n,p) subtightplot (m, n, p, [0.2 0.07], [0.2 0.2], [0.07 0.02]);
% if ~make_it_tight,  clear subplot;  end
% 
% 
% mainFig = figure('visible','off'); set(gcf,'Position',[10,10,1250, 700]);
diag_cm=[];
for main_task_idx = 1:length(display_name_cells)
    
    task_name = display_name_cells{main_task_idx}
    
    labels_all=[];
   
    load(sprintf('FigS3D/subtask_classification_%s/template_data_%s.mat', task_name, task_name));
    load(sprintf('FigS3D/subtask_classification_%s/Sha_confusion_mat_set_size_01.mat', task_name));
    
    
    tot_sub_tasks = length(template_data);
    
    
   
    
    for subtask_idx = 1:length(template_data)
        subtask_name = template_data(subtask_idx).subtask_name;
        disp(subtask_name);
        labels_all{subtask_idx} = subtask_name;
    end
    confusion_mat
    diag_cm=[diag_cm;diag(confusion_mat)];
[phat(main_task_idx),pci(main_task_idx,:)] = binofit(mean(diag(confusion_mat)),900);
%     
%     factor = 100/sum(confusion_mat(1, :));
%     confusion_mat = confusion_mat*factor;
% %     min_acc = min(diag(confusion_mat));
% %     max_acc = max(diag(confusion_mat));
%     mean_acc(main_task_idx) = mean(diag(confusion_mat))/100;
    
end
min(diag_cm./9 )
max(diag_cm./9 )

display_name={'W(0bk/2bk)',    'L(math/story)',  'M(hand/foot/tongue)', 'S(mental/random)', 'G(win/loss)', 'R(relation/match)', 'E(fear/neutral)'};

b=bar(phat,'Facecolor','none');
set(gca,'xTick',1:7,'XTickLabel',display_name);
ylim([.75 1]);
title('subtask avg accuracies');
hold on;

for i=1:7
   plot([i i],[pci(i,1) pci(i,2)],'-k'); 
end
set(gca,'TickLength',[0.005 0.01]);



