clc;
 clear;
close all;
task_names_run  = {'rest',   'WM',    'lang',  'mot', 'soc', 'gam', 'rel', 'emo'}; 
plot_for=[2:8];
colorz= [1,0,0;0,1,0;0,0,0.172413793103448;1,0.103448275862069,0.724137931034483;1,0.827586206896552,0;0,0.344827586206897,0;0.517241379310345,0.517241379310345,1];
sc=[1:-(0.5/42):0.5];
close all;
mainFig = figure('visible','on'); set(gcf, 'renderer','painters', 'graphicssmoothing', 'on');
load('Fig2/data/spectra_templates_mean_gpfa_v2.mat','spectra_mean');
p=0;
for i=plot_for
    x=spectra_mean(i).freq;
    p=p+1;subplot(2,2,p);
    for c=1:42
    semilogx(x,spectra_mean(i).osci(:,c),'Color',colorz(p,:).* sc(c));%,'edgealpha',0.5)
    hold on;
    end
    title(task_names_run{i});
    xlim([0.004 0.4]); ylim([-0.04 0.12]);
    xlabel('frequency (Hz)');
end

